<?php
/**
 *
 * @author	Hj Ahmad Rasyid Hj Ismail "ahrasis"
 * @email	ahrasis@gmail.com
 * @link	https://sahabat.ahrasis.com
 * @license	BSD http://opensource.org/licenses/BSD-3-Clause
 * @addon	Masa: Surfer's Local Live Time 
 *
 */

if (!defined('ELK'))
	die('No access...');

function Masa_Main(&$buttons)
{
	global $modSettings, $context, $options, $user_info;

	if (!empty($modSettings['masa_enable']) && !$user_info['is_guest'] || !empty($modSettings['masa_guest']) && $user_info['is_guest'])
	{
		// Load language(s)
		loadLanguage('Masa/Masa');

		// Load template(s)
		loadTemplate('Masa/Masa');
		
		// Load variant based css
		loadCSSFile($context['theme_variant'] . '/Masa/Masa' . $context['theme_variant'] . '.css');
		
		// Load fix for light variant based css for guest
		if (!empty($modSettings['masa_guest']) && $user_info['is_guest'])
			loadCSSFile($context['theme_variant'] . '/Masa/Masa_guest_light.css');
		
		// Load variant based css
		if (!empty($modSettings['masa_date_hide']))
			loadCSSFile('Masa/Masa.styles.css');

		// Add it after login bar
		$context['theme_header_callbacks'] = elk_array_insert($context['theme_header_callbacks'], 'login_bar', array('time_bar'), 'after');
	}
}

function Masa_Settings(&$config_vars)
{
	global $modSettings;
	
	// Load language(s)
	loadLanguage('Masa/Masa');
	
	// Add setting(s)
	$masa = array(
		array('check', 'masa_enable', 'onchange' => 'showhideOptions()'),
		array('check', 'masa_guest_see'),
		array('check', 'masa_pm_am_hide'),
		array('check', 'masa_date_hide'),
		array('text', 'masa_date_format'),
		'',
	);
	
	// Show hide code tied to checkbox
	addInlineJavascript('
		function showhideOptions() {
			var enabled = document.getElementById("masa_enable").checked;
			if (enabled) {
				$("#masa_guest_see").parent().show();
				$("#masa_pm_am_hide").parent().show();
				$("#masa_date_hide").parent().show();
				$("#masa_date_format").parent().show();
				$("#setting_masa_guest_see").parent().show();
				$("#setting_masa_pm_am_hide").parent().show();
				$("#setting_masa_date_hide").parent().show();
				$("#setting_masa_date_format").parent().show();
			}	
			else {
				$("#masa_guest_see").parent().hide();
				$("#masa_pm_am_hide").parent().hide();
				$("#masa_date_hide").parent().hide();
				$("#masa_date_format").parent().hide();
				$("#setting_masa_guest_see").parent().hide();
				$("#setting_masa_pm_am_hide").parent().hide();
				$("#setting_masa_date_hide").parent().hide();
				$("#setting_masa_date_format").parent().hide();
			}
		}
		function showhideInit() {showhideOptions();}
		showhideInit();', true
	);

	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $masa);
}

?>